//	RunExternalProgram.h - Class for running external programs.
//	--------------------------------------------------------------------------
//	This file is part of 'Phil', a very simple file manager/browser for the
//	JUCE library.
//	Copyright (C) 2005-2006  Niall Moody
//	
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//	
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//	
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//	
//	--------------------------------------------------------------------------

#ifndef RUNEXTERNALPROGRAM_H_
#define RUNEXTERNALPROGRAM_H_

///	Class for running external programs.
class ExternalProgram
{
  public:
	///	Run the named program.
	/*!
		\param name Full path to the program to run.

		\return True if it succeeds, false otherwise.
	 */
	static bool run(const String& name);

	juce_UseDebuggingNewOperator
};

#endif
